Subject: Re: gitweb and unicode special characters

From: Jakub Narebski <[email-masked]>
Date: Sat, 13 Dec 2008 14:08:29 -0800 (PST)

"Edward Z. Yang" <[email-masked]> writes:
> Jakub Narebski wrote:

> > Sidenote: There is probably one exception we want to add, namely not
> > escape '\r' at the end of line, to be able to deal better with DOS
> > line endings (\r\n).
> 
> I'm sorry, but I have to disagree. I find being able to see \r
> line-endings in the pretty-printed format is exceedingly useful for
> figuring out if a file has been checked in with the wrong line-endings.
> The number of files that must have \r line endings are vanishingly small
> (BAT files are perhaps the one example I can think of right now).

Well, it is a bit annoying if you have checked file with wrong line
endings, and just noticed this... I was thinking about adding '(DOS)'
or something indicator at the bottom of 'blob' and 'blame' views, but
I guess I can live with '\r'...

In short: I agree, that was not a good idea.
-- 
Jakub Narebski
Poland
ShadeHawk on #git